[arch-commits] Commit in kdeedu/repos (3 files)

Pierre Schmitz pierre at archlinux.org
Fri Oct 31 04:31:46 EDT 2008


    Date: Friday, October 31, 2008 @ 04:31:29
  Author: pierre
Revision: 17644

Merged revisions 17240,17572 via svnmerge from 
svn+ssh://svn.archlinux.org/home/svn-packages/kdeedu/trunk

........
  r17240 | allan | 2008-10-27 08:07:58 +0100 (Mo, 27 Okt 2008) | 2 lines
  
  upgpkg: kdeedu 4.1.2-2
      python2.6 rebuild
........
  r17572 | pierre | 2008-10-31 04:06:35 +0100 (Fr, 31 Okt 2008) | 1 line
  
  prepare for 4.1.3 release
........

Added:
  kdeedu/repos/extra-i686/python-2.6.patch
    (from rev 17572, kdeedu/trunk/python-2.6.patch)
Modified:
  kdeedu/repos/extra-i686/	(properties)
  kdeedu/repos/extra-i686/PKGBUILD

------------------+
 PKGBUILD         |   12 +++++++-----
 python-2.6.patch |   12 ++++++++++++
 2 files changed, 19 insertions(+), 5 deletions(-)


Property changes on: kdeedu/repos/extra-i686
___________________________________________________________________
Name: svnmerge-integrated
   - /kdeedu/trunk:1-13247
   + /kdeedu/trunk:1-17643

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2008-10-31 08:19:33 UTC (rev 17643)
+++ extra-i686/PKGBUILD	2008-10-31 08:31:29 UTC (rev 17644)
@@ -2,22 +2,24 @@
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
 
 pkgname=kdeedu
-pkgver=4.1.2
+pkgver=4.1.3
 pkgrel=1
 pkgdesc="KDE Educational programs"
 arch=('i686' 'x86_64')
 url='http://www.kde.org'
 license=('GPL' 'LGPL' 'FDL')
 groups=('kde')
-depends=('kdebase-workspace' 'boost' 'openbabel' 'indilib' 'libnova' 'libqalculate' 'gsl')
+depends=('kdebase-workspace' 'openbabel' 'indilib' 'libnova' 'libqalculate' 'gsl' 'boost')
 makedepends=('pkgconfig' 'cmake' 'automoc4' 'ocaml' 'facile' 'eigen' 'cfitsio' 'gmm++')
 options=('docs')
 install='kdeedu.install'
-source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2")
-md5sums=('7319ea65180451d1ecfed158714a4fd3')
+source=("http://download.kde.org/stable/${pkgver}/src/${pkgname}-${pkgver}.tar.bz2" 'python-2.6.patch')
+md5sums=('8b513d6dde79119842eef059550c0123' 'b02494e14cfb969faed5a279b0ee4aa2')
 
 build() {
-	cd $srcdir
+	cd $srcdir/${pkgname}-${pkgver}
+	patch -p1 -i $srcdir/python-2.6.patch || return 1
+	cd ../
 	mkdir build
 	cd build
 	cmake ../${pkgname}-${pkgver} \

Copied: kdeedu/repos/extra-i686/python-2.6.patch (from rev 17572, kdeedu/trunk/python-2.6.patch)
===================================================================
--- extra-i686/python-2.6.patch	                        (rev 0)
+++ extra-i686/python-2.6.patch	2008-10-31 08:31:29 UTC (rev 17644)
@@ -0,0 +1,12 @@
+diff -Nura kdeedu-4.1.3.orig/cmake/modules/FindBoostPython.cmake kdeedu-4.1.3/cmake/modules/FindBoostPython.cmake
+--- kdeedu-4.1.3.orig/cmake/modules/FindBoostPython.cmake	2008-01-29 10:17:21.000000000 +0100
++++ kdeedu-4.1.3/cmake/modules/FindBoostPython.cmake	2008-10-31 03:20:55.000000000 +0100
+@@ -25,7 +25,7 @@
+ set(BOOST_PYTHON_LIBS)
+ 
+ # handy arrays
+-set(PYTHON_VERSIONS "python;python2.5;python2.4;python2.3;python2.2")
++set(PYTHON_VERSIONS "python;python2.6;python2.5;python2.4;python2.3;python2.2")
+ set(PYTHON_INCLUDE_DIRS "/usr/include/$pyver;/usr/local/include/$pyver;/usr/$pyver/include;/usr/local/$pyver/include;$prefix/include/$pyver;$prefix/$pyver/include")
+ set(PYTHON_LIBRARY_DIRS "/usr/lib${LIB_SUFFIX};/usr/local/lib${LIB_SUFFIX};/usr/lib${LIB_SUFFIX}/$pyver/config")
+ set(PYTHON_LIBS "boost_python-gcc-mt;boost_python-mt;boost_python-gcc-mt-1_33;boost_python-gcc-mt-1_33_1;boost_python;boost_python-gcc-mt-1_32;boost_python")




More information about the arch-commits mailing list